[Japanese]

JVNDB-2018-000001

Lhaplus vulnerable to improper verification when expanding ZIP64 archives

Overview

Lhaplus is file compression/decompression software. Lhaplus does not treat ZIP64 archives properly when expanding.

Koji Ando of LAC Co., Ltd. reported this vulnerability to IPA.
JPCERT/CC coordinated with the developer under Information Security Early Warning Partnership.
CVSS Severity (What is CVSS?)

Base Metrics: 4.3 (Medium) [IPA Score]
  • Access Vector: Network
  • Access Complexity: Medium
  • Authentication: None
  • Confidentiality Impact: None
  • Integrity Impact: Partial
  • Availability Impact: None

CVSS V3 Severity:
Base Metrics: 3.3 (Low) [IPA Score]
  • Attack Vector: Local
  • Attack Complexity: Low
  • Privileges Required: None
  • User Interaction: Required
  • Scope: Unchanged
  • Confidentiality Impact: None
  • Integrity Impact: Low
  • Availability Impact: None
Affected Products


Schezo
  • Lhaplus Version 1.73 and earlier

Impact

An unintended content may be extracted from a crafted ZIP64 archive.
Solution

[Update the Software]
Update to the latest version according to the information provided by the developer.
Vendor Information

Schezo
CWE (What is CWE?)

  1. No Mapping(CWE-Other) [IPA Evaluation]
CVE (What is CVE?)

  1. CVE-2017-2158
References

  1. JVN : JVN#57842148
Revision History

[2018/01/11]
  Web page was published